var linkMapcompName = "{{linkToMapcompName}}";
var mapPivotToLinkLayer = null;
var linkLayerTileSize = 256;
var tileSize = 256;
try {
    mapPivotToLinkLayer = comp(linkMapcompName).layer("MapPivot");
    linkLayerTileSize = mapPivotToLinkLayer.effect("tileSize")(1);
} catch (e) {}
try {
    tileSize = thisLayer.effect("tileSize")(1)
} catch (e) {}
//try {
    if (mapPivotToLinkLayer) {
        mapPivotToLinkLayer.transform.scale / (Math.pow(2, thisLayer.transform.opacity) / Math.pow(2, mapPivotToLinkLayer.transform.opacity) * (tileSize / linkLayerTileSize));
    } else {
        var controlLayer = comp("{{containingCompName}}").layer("{{mapcompLayerName}}");
        var myTime = time + controlLayer.startTime;
        var inputZL = controlLayer.effect("Zoom")("ADBE Slider Control-0001").valueAtTime(myTime);
        var ZL = linear(inputZL, 0, 100, {{zoomFunctionBorders[0]}}, {{zoomFunctionBorders[1]}});
        var zoom = Math.pow(2, ZL) * (256 / tileSize);
        [zoom / thisComp.pixelAspect, zoom]
    }
/*} catch (e) {
    value;
};*/